Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface ServantActivatorOperations

All Superinterfaces:
  ServantManagerOperations

All Known Subinterfaces:
  ServantActivator

All Known Implementing Classes:
  ServantActivatorPOA

public interface ServantActivatorOperations
extends ServantManagerOperations

Interface definition : ServantActivator

Author:
  OpenORB Compiler

Method Summary
`void` | `etherealize(byte[] oid, POA adapter, Servant serv, boolean cleanup_in_progress, boolean remaining_activations)` Operation etherealize
`Servant` | `incarnate(byte[] oid, POA adapter)` Operation incarnate

Method Detail

### incarnate

    public Servant incarnate(byte[] oid,
                             POA adapter)
                      throws ForwardRequest

  Operation incarnate

### etherealize

    public void etherealize(byte[] oid,
                            POA adapter,
                            Servant serv,
                            boolean cleanup_in_progress,
                            boolean remaining_activations)

  Operation etherealize

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD